This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 59553 - AWE32 SOUND PROBLEM CAN'T WORK
AWE32 SOUND PROBLEM CAN'T WORK
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-10 04:26 EST by Need Real Name
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-07 21:18:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-02-10 04:26:22 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2 i686)

Description of problem:
i use sndconfig and it can find the card.but when tesing it. it shows
/lib/modules/2.4.2-2/kernel/drivers/sound/sb.o:init_module:No such Device
/lib/modules/2.4.2-2/kernel/drivers/sound/sb.o:insmod/lib/modules/2.4.2-2/kernel/drivers/soundsb.o
failed
/lib/modules/2.4.2-2/kernel/drivers/sound/sb.o:insmod sound-slot-0 failed

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.sndconfig
2.test
3.
	

Additional info:

here is my isapnp:
Card 1 'CTL009a:Creative SB AWE32 PnP' PnP version 1.0 Product version 1.0
  Logical device 0 'CTL0041:Audio'
    Device is not active
    Resources 0
      Priority preferred
      Port 0x220-0x220, align 0x0, size 0x10, 16-bit address decoding
      Port 0x330-0x330, align 0x0, size 0x2, 16-bit address decoding
      Port 0x388-0x3f8, align 0x0, size 0x4, 16-bit address decoding
      IRQ 5 High-Edge
      DMA 1 8-bit byte-count compatible
      DMA 5 16-bit word-count compatible
      Alternate resources 0:1
        Priority acceptable
        Port 0x220-0x280, align 0x1f, size 0x10, 16-bit address decoding
        Port 0x300-0x330, align 0x2f, size 0x2, 16-bit address decoding
        Port 0x388-0x3f8, align 0x0, size 0x4, 16-bit address decoding
        IRQ 5,7,2/9,10 High-Edge
        DMA 0,1,3 8-bit byte-count compatible
        DMA 5,6,7 16-bit word-count compatible
      Alternate resources 0:2
        Priority acceptable
        Port 0x220-0x280, align 0x1f, size 0x10, 16-bit address decoding
        Port 0x300-0x330, align 0x2f, size 0x2, 16-bit address decoding
        IRQ 5,7,2/9,10 High-Edge
        DMA 0,1,3 8-bit byte-count compatible
        DMA 5,6,7 16-bit word-count compatible
      Alternate resources 0:3
        Priority acceptable
        Port 0x220-0x280, align 0x1f, size 0x10, 16-bit address decoding
        IRQ 5,7,2/9,10 High-Edge
        DMA 0,1,3 8-bit byte-count compatible
        DMA 5,6,7 16-bit word-count compatible
      Alternate resources 0:4
        Priority acceptable
        Port 0x220-0x280, align 0x1f, size 0x10, 16-bit address decoding
        Port 0x300-0x330, align 0x2f, size 0x2, 16-bit address decoding
        Port 0x388-0x3f8, align 0x0, size 0x4, 16-bit address decoding
        IRQ 5,7,2/9,10 High-Edge
        DMA 0,1,3 8-bit byte-count compatible
      Alternate resources 0:5
        Priority acceptable
        Port 0x220-0x280, align 0x1f, size 0x10, 16-bit address decoding
        Port 0x300-0x330, align 0x2f, size 0x2, 16-bit address decoding
        IRQ 5,7,2/9,10 High-Edge
        DMA 0,1,3 8-bit byte-count compatible
      Alternate resources 0:6
        Priority acceptable
        Port 0x220-0x280, align 0x1f, size 0x10, 16-bit address decoding
        IRQ 5,7,2/9,10 High-Edge
        DMA 0,1,3 8-bit byte-count compatible
      Alternate resources 0:7
        Priority functional
        Port 0x220-0x280, align 0x1f, size 0x10, 16-bit address decoding
        Port 0x300-0x330, align 0xf, size 0x2, 16-bit address decoding
        Port 0x388-0x394, align 0x3, size 0x4, 16-bit address decoding
        IRQ 5,7,2/9,10 High-Edge
        DMA 0,1,3 8-bit byte-count compatible
        DMA 5,6,7 16-bit word-count compatible
  Logical device 1 'CTL7002:Game'
    Device is not active
    Resources 0
      Priority preferred
      Port 0x200-0x200, align 0x0, size 0x8, 16-bit address decoding
      Alternate resources 0:1
        Priority acceptable
        Port 0x200-0x208, align 0x7, size 0x8, 16-bit address decoding
  Logical device 2 'CTL0021:WaveTable'
    Device is not active
    Resources 0
      Priority preferred
      Port 0x620-0x620, align 0x0, size 0x4, 16-bit address decoding
      Port 0xa20-0xa20, align 0x0, size 0x4, 16-bit address decoding
      Port 0xe20-0xe20, align 0x0, size 0x4, 16-bit address decoding
      Alternate resources 0:1
        Priority acceptable
        Port 0x620-0x680, align 0x1f, size 0x4, 16-bit address decoding
        Port 0xa20-0xa80, align 0x1f, size 0x4, 16-bit address decoding
        Port 0xe20-0xe80, align 0x1f, size 0x4, 16-bit address decoding
Comment 1 Bill Nottingham 2002-02-10 20:14:07 EST
Assigning to kernel so the isapnp card table in the driver can be updated.

Note You need to log in before you can comment on or make changes to this bug.